0 Replies Latest reply on Oct 26, 2008 2:43 PM by Edward Edkowski

    new Jbpm-jpdl in portal 2.6.5.GA

    Edward Edkowski Newbie

      Hello,

      I get

      --- MBEANS THAT ARE THE ROOT CAUSE OF THE PROBLEM ---
      ObjectName: portal:service=Thread,type=WorkflowService
       State: FAILED
       Reason: java.lang.NoClassDefFoundError: org/jbpm/msg/command/CommandExecutorThread
       I Depend On:
       portal:service=Workflow,type=WorkflowService
      
      ObjectName: portal:service=ApprovePublish,type=Workflow
       State: FAILED
       Reason: org.jbpm.JbpmException: problem closing services {persistence=org.jbpm.JbpmException: no jbpm tx service configured}
       I Depend On:
       portal:service=Workflow,type=WorkflowService
       portal:service=Module,type=IdentityServiceController
      


      What I did: I took SEAM 2.1.0.CR1. It needs the jBPM jar bundled with it, with jBPM from portal 2.6.5.GA it cannot find some classes. So, I replaced the jPBM jar in portal.

      Then the first problem was that the configuration file was not backward compatible. Still, that is just a config file, I edited it to match previous portal config file. I got the above. So I tried to copy the config file from portal 2.7.0.CR1 - it was almost same as my edited config file - and I got same errors.

      Short question: do I need the entire new portal?

      Long question: while it can be disputed the config files do not always have to be backward compatible, it seems to me that either jBPM API is not backward compatible, or portal uses classes that are "internal" to jBPM and not part of the API. And my longer question would be the following: in the future, can I expect a migration of the portal, jBPM and AS to simply work?

      I post it to this forum, because after reading forums and JIRA I find the jBPM is the culprit.

      Greetings,
      Edek